****************************************************
* Christopher Capurso
* christopher.capurso@villanova.edu 
* CNFET Inverter
*
***************************************************


***********************************************************************
* Include common initialization parameters
***********************************************************************
.include common.sp

***********************************************************************
* Define power supply
***********************************************************************
.global vdd Gnd
Vdd		vdd		Gnd		'SUPPLY'
Vin a gnd PULSE 0 'SUPPLY' 50ps 1ps 1ps 100ps 200ps

***********************************************************************
* Define inverter circuit structure
***********************************************************************
XCNT1	y	a	 Gnd	Gnd	NCNFET
XCNT2   y 	a	 vdd	vdd	PCNFET

***********************************************************************
* Stimulus
***********************************************************************
.tran 1ps 200ps

* Print transient analysis for graphical plotting purposes
.print	TRAN	v(a)  v(y)
.end
